Package com.xebialabs.xlrelease.domain.events

## Class FolderMovedEvent$

- java.lang.Object
- - scala.runtime.AbstractFunction3<Folder,​java.lang.String,​java.lang.String,​FolderMovedEvent>
  - - com.xebialabs.xlrelease.domain.events.FolderMovedEvent$

- All Implemented Interfaces:
    `java.io.Serializable`, `scala.Function3<Folder,​java.lang.String,​java.lang.String,​FolderMovedEvent>`

      public class FolderMovedEvent$
      extends scala.runtime.AbstractFunction3<Folder,​java.lang.String,​java.lang.String,​FolderMovedEvent>
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static FolderMovedEvent$` | `MODULE$` | Static reference to the singleton instance of this Scala object.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FolderMovedEvent$()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `FolderMovedEvent` | `apply​(Folder folder, java.lang.String oldParentId, java.lang.String newParentId)` |
    `java.lang.String` | `toString()` |
    `scala.Option<scala.Tuple3<Folder,​java.lang.String,​java.lang.String>>` | `unapply​(FolderMovedEvent x$0)` |

    - ### Methods inherited from class scala.runtime.AbstractFunction3

      `curried, tupled`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### MODULE$

          public static final FolderMovedEvent$ MODULE$

      Static reference to the singleton instance of this Scala object.

  - ### Constructor Detail

    - #### FolderMovedEvent$

          public FolderMovedEvent$()

  - ### Method Detail

    - #### toString

          public final java.lang.String toString()

      Specified by:
        `toString` in interface `scala.Function3<Folder,​java.lang.String,​java.lang.String,​FolderMovedEvent>`
      Overrides:
        `toString` in class `scala.runtime.AbstractFunction3<Folder,​java.lang.String,​java.lang.String,​FolderMovedEvent>`

    - #### apply

          public FolderMovedEvent apply​(Folder folder,
                                        java.lang.String oldParentId,
                                        java.lang.String newParentId)

      Specified by:
        `apply` in interface `scala.Function3<Folder,​java.lang.String,​java.lang.String,​FolderMovedEvent>`

    - #### unapply

          public scala.Option<scala.Tuple3<Folder,​java.lang.String,​java.lang.String>> unapply​(FolderMovedEvent x$0)